Subject: [PATCH] ARM: tegra: throw the unique chip ID into the entropy pool

From: [email-masked] (Stephen Warren)
Date: Fri, 13 Sep 2013 10:33:26 -0600

On 09/05/2013 09:28 AM, Linus Walleij wrote:
> This adds a hook at common late init to extract the 64 bits of
> chip-unique data and throw it into the entropy pool to make it
> more device-unique.

> diff --git a/arch/arm/mach-tegra/common.c b/arch/arm/mach-tegra/common.c

>  void __init tegra_init_late(void)
>  {
> +	tegra_random_init();

Looking at this further, there's already a tegra_init_fuse() call made
from tegra_init_early(), so rather than adding a second init function
into the fuse code, I'd rather just augment that function, unless
there's some reason add_device_randomness() won't work at that time?

If that will work, I'll supply an alternate patch that replaces this,
since I also want to remove the tegra_chip_uid() function, and need to
make the add_device_randomness() call not use tegra_chip_uid() on
Tegra30 or later, since the set of fuses for the chip ID changed radically.